> ## Documentation Index
> Fetch the complete documentation index at: https://firecrawl-docs-agent-transparency-gaps.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# エージェントをキャンセルする

> Firecrawl APIキーが必要なAIエージェントの方は、自動オンボーディング手順については [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json DELETE /agent/{jobId}
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /agent/{jobId}:
    parameters:
      - description: エージェントジョブのID
        in: path
        name: jobId
        required: true
        schema:
          format: uuid
          type: string
    delete:
      tags:
        - Agent
      summary: エージェントジョブをキャンセルする
      operationId: cancelAgent
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                type: object
          description: エージェントジョブが正常にキャンセルされました
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Invalid job ID format. Job ID must be a valid UUID.
                    type: string
                type: object
          description: 不正なリクエスト — ジョブ ID が有効な UUID ではありません。
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Agent job not found
                    type: string
                type: object
          description: エージェントジョブが見つかりません
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Agent already finished
                    type: string
                type: object
          description: 競合 — エージェントジョブはすでに完了しているか、すでにキャンセルされています。
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````